org.firstinspires.ftc.robotcore.external.navigation

## Class VuMarkInstanceId

- java.lang.Object
- - org.firstinspires.ftc.robotcore.external.navigation.VuMarkInstanceId

-     public class VuMarkInstanceId
      extends java.lang.Object

  `VuMarkInstanceId` captures the identifying state decoded from a particular instance of a Vuforia VuMark.
  See Also:
    `com.vuforia.VuMarkTarget`, `com.vuforia.InstanceId`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `VuMarkInstanceId.Type` `VuMarkInstanceId.Type` indicates the type of data that was found in the `InstanceId` from which this data was decoded.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected byte[]` | `dataValue`
    `protected int` | `numericValue`
    `protected java.lang.String` | `stringValue`
    `protected VuMarkInstanceId.Type` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VuMarkInstanceId(InstanceId instanceId)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static byte[]` | `dataFrom(InstanceId instanceId)`
    `boolean` | `equals(java.lang.Object o)`
    `VuMarkInstanceId.Type` | `getType()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`
    `protected static VuMarkInstanceId.Type` | `typeFrom(InstanceId instanceId)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### type

          protected VuMarkInstanceId.Type type

    - #### numericValue

          protected int numericValue

    - #### stringValue

          protected java.lang.String stringValue

    - #### dataValue

          protected byte[] dataValue

  - ### Constructor Detail

    - #### VuMarkInstanceId

          public VuMarkInstanceId(InstanceId instanceId)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### dataFrom

          protected static byte[] dataFrom(InstanceId instanceId)

    - #### typeFrom

          protected static VuMarkInstanceId.Type typeFrom(InstanceId instanceId)

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### getType

          public VuMarkInstanceId.Type getType()